
package de.ivu.elect.presentation.staat;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.staat.entity.Staat;
import de.ivu.elect.jee.presentation.dynamicform.FormBuilder;
import de.ivu.elect.presentation.hilfe.OnlineHilfeId;
import de.ivu.elect.presentation.staat.form.StaatViewFormBuilder;

//@OnlineHilfeId("474")
@OnlineHilfeId("586")
@Named(AbstractStaatCreateView.COMPONENT_NAME)
public class StaatCreateView extends AbstractStaatCreateView {

  private static final long serialVersionUID = 1L;

  @Inject
  private StaatViewFormBuilder staatViewFormBuilder;

  public StaatCreateView() {
    super();
  }

  @Override
  public void addProperties(FormBuilder formBuilder, Staat staat) {
    staatViewFormBuilder.addProperties(formBuilder, staat);
  }
}
